%define upstream_name    File-Flock-Retry
%define upstream_version 0.61

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Yet another flock module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Slurp::Tiny)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::chdir)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
This is yet another flock module. It is a more lightweight alternative to
the File::Flock manpage with some other differences:

* * OO interface only

* * Autoretry (by default for 60s) when trying to acquire lock

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README Changes LICENSE META.json META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sat Dec 12 2015 guillomovitch <guillomovitch> 0.610.0-1.mga6
+ Revision: 909669
- imported package perl-File-Flock-Retry


* Sat Dec 12 2015 cpan2dist 0.61-1mga
- initial mageia release, generated with cpan2dist
